Subject: bug#44035: 26.3; `C-h f package-desc-name'

From: Drew Adams <[email-masked]>
Date: Fri, 16 Oct 2020 09:21:05 -0700 (PDT)

> > emacs -Q
> >
> > C-h f package-desc-name
> >
> >  package-desc-name is a compiled Lisp function in 'package.el'.
> >
> >  (package-desc-name CL-X)
> >
> >  This function has a compiler macro 'package-desc-name--cmacro'.
> >
> >  Access slot "name" of '(package-desc (:constructor
> > package-desc-create) (:constructor package-desc-from-define
> 
> I get:
> 
> --
> package-desc-name is a compiled Lisp function in ‘package.el’.
> 
> (package-desc-name CL-X)
> 
>   This function has a compiler macro ‘package-desc-name--cmacro’.
>   This function does not change global state, including the match data.
> 
> Access slot "name" of ‘package-desc’ struct CL-X.
> --
> 
> > Slot "name" of _________?
> 
> Yes, the slot is called "name".  I don't see anything to fix here; closing.

(I guess you don't pay attention to the release
for which a bug is reported.  The bug exists as
reported in Emacs 26.3.)